Namespace IKriv.PluginHosting.Log
	Friend Class TraceAppender
		Implements ILogAppender

		Private ReadOnly _prefix As String

		Public Sub New(ByVal name As String)
			_prefix = If(String.IsNullOrEmpty(name), "", name & ": ")
		End Sub

		Public Sub Write(ByVal message As String) Implements ILogAppender.Write
			Trace.WriteLine(_prefix & message)
		End Sub

		Public Sub Dispose() Implements IDisposable.Dispose
		End Sub
	End Class
End Namespace
