' Copyright (c) 2013 Ivan Krivyakov
' Licensed under the Apache License, Version 2.0 (the "License")
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
' http://www.apache.org/licenses/LICENSE-2.0
'

Namespace IKriv.WpfHost
	Friend Class PluginErrorEventArgs
		Inherits EventArgs

		Public Sub New(ByVal plugin As Plugin, ByVal message As String, ByVal exception As Exception)
			Plugin = plugin
			Me.Message = message
			Me.Exception = exception
		End Sub

        Private PrivatePlugin As Plugin
		Public Property Plugin As Plugin
			Get
                Return PrivatePlugin
			End Get
			Private Set(ByVal value As Plugin)
                PrivatePlugin = value
			End Set
		End Property

        Private PrivateMessage As String
		Public Property Message As String
			Get
                Return PrivateMessage
			End Get
			Private Set(ByVal value As String)
                PrivateMessage = value
			End Set
		End Property

        Private PrivateException As Exception
		Public Property Exception As Exception
			Get
                Return PrivateException
			End Get
			Private Set(ByVal value As Exception)
                PrivateException = value
			End Set
		End Property
	End Class
End Namespace
