Imports System.Windows
Imports System.Windows.Controls

Namespace SolarSystem
    ''' <summary>
    ''' Interaction logic for Window1.xaml
    ''' </summary>
    Partial Public Class MainUserControl
        Inherits UserControl

        Private _data As New OrbitsCalculator

        Public Sub New()
            DataContext = _data
            InitializeComponent()
        End Sub

        Private Sub MainWindow_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
            _data.StartTimer()
        End Sub

        Private Sub Pause_Checked(ByVal sender As Object, ByVal e As RoutedEventArgs)
            _data.Pause(True)
        End Sub

        Private Sub Pause_Unchecked(ByVal sender As Object, ByVal e As RoutedEventArgs)
            _data.Pause(False)
        End Sub
    End Class
End Namespace
