' Copyright (c) 2013 Ivan Krivyakov
' Licensed under the Apache License, Version 2.0 (the "License")
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
' http://www.apache.org/licenses/LICENSE-2.0
'

Imports System.Threading

Namespace TestExceptions
	''' <summary>
	''' Interaction logic for MainUserControl.xaml
	''' </summary>
	Partial Public Class MainUserControl
		Inherits UserControl

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub UiThreadException_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Throw New MyException("Test exception")
		End Sub

		Private Sub WorkerThreadException_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim thread = New Thread(Sub() Throw New MyException("Test exception"))
			thread.Start()
		End Sub
	End Class
End Namespace
