' Copyright (c) 2013 Ivan Krivyakov
' Licensed under the Apache License, Version 2.0 (the "License")
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
' http://www.apache.org/licenses/LICENSE-2.0
'

Namespace IKriv.WpfHost.Interfaces
	''' <summary>
	''' Intefrace for the general logging service
	''' </summary>
	Public Interface ILog
		Sub Debug(ByVal message As String)
		Sub Info(ByVal message As String)
		Sub Warn(ByVal message As String)
		Sub Warn(ByVal message As String, ByVal ex As Exception)
		Sub [Error](ByVal message As String)
		Sub [Error](ByVal message As String, ByVal ex As Exception)
	End Interface
End Namespace
