' Copyright (c) 2013 Ivan Krivyakov
' Licensed under the Apache License, Version 2.0 (the "License")
' you may not use this file except in compliance with the License.
' You may obtain a copy of the License at
' http://www.apache.org/licenses/LICENSE-2.0
'

Namespace IKriv.WpfHost
	Friend Class PluginException
		Inherits Exception

		Private ReadOnly _fullExceptionText As String

		Public Sub New(ByVal userMessage As String, ByVal fullExceptionText As String)
			MyBase.New(userMessage)
			_fullExceptionText = fullExceptionText
		End Sub

		Public Overrides Function ToString() As String
			Return "Plugin exception: " & _fullExceptionText
		End Function
	End Class
End Namespace
